Skip to content
Start here

Create a new sinkhole for your account

intel.sinkholes.create(SinkholeCreateParams**kwargs) -> Sinkhole
POST/accounts/{account_id}/intel/sinkholes

Create a new sinkhole. Logs of large request bodies will be truncated, but the full request body can be recorded in R2. If you wish to record large request bodies in R2, include the R2 key ID, key secret, and bucket name in the request body.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
name: str

The name of the sinkhole.

r2_bucket: Optional[str]

The name of the R2 bucket to store results. Required if you want to store large request bodies in R2.

r2_id: Optional[str]

The id of the R2 instance. Required if you want to store large request bodies in R2.

r2_secret: Optional[str]

The secret key for the R2 API token. Required if you want to store large request bodies in R2.

ReturnsExpand Collapse
class Sinkhole:
id: Optional[str]

The unique identifier for the sinkhole.

account_tag: Optional[str]

The account tag that owns this sinkhole.

created_on: Optional[datetime]

The date and time when the sinkhole was created.

formatdate-time
modified_on: Optional[datetime]

The date and time when the sinkhole was last modified.

formatdate-time
name: Optional[str]

The name of the sinkhole.

r2_bucket: Optional[str]

The name of the R2 bucket to store results.

r2_id: Optional[str]

The id of the R2 instance.

Create a new sinkhole for your account

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_email=os.environ.get("CLOUDFLARE_EMAIL"),  # This is the default and can be omitted
    api_key=os.environ.get("CLOUDFLARE_API_KEY"),  # This is the default and can be omitted
)
sinkhole = client.intel.sinkholes.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    name="name",
)
print(sinkhole.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "93defa6e909e464e8c89a85859f36d3c",
    "account_tag": "233f45e61fd1f7e21e1e154ede4q2859",
    "created_on": "2023-05-12T12:21:56.777653Z",
    "modified_on": "2023-06-18T03:13:34.123321Z",
    "name": "my_sinkhole",
    "r2_bucket": "my_bucket",
    "r2_id": "example_r2_id"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "93defa6e909e464e8c89a85859f36d3c",
    "account_tag": "233f45e61fd1f7e21e1e154ede4q2859",
    "created_on": "2023-05-12T12:21:56.777653Z",
    "modified_on": "2023-06-18T03:13:34.123321Z",
    "name": "my_sinkhole",
    "r2_bucket": "my_bucket",
    "r2_id": "example_r2_id"
  }
}